Get Member Information
GET
https://api.vercel.com/v1/installations/{integrationConfigurationId}/member/{memberId}Returns the member role and other information for a given member ID ("user_id" claim in the SSO OIDC token).
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.marketplace.getMember({ integrationConfigurationId: "<id>", memberId: "<id>", });
console.log(result);}
run();Response
{ "globalUserId": "example_id", "id": "icfg_1234567890", "role": "ADMIN", "userEmail": "user@example.com"}AuthorizationbearerToken
Default authentication mechanism
200Success
"The
ADMIN role, by default, is provided to users capable of installing integrations, while the USER role can be granted to Vercel users with the Vercel Billing or Vercel Viewer role, which are considered to be Read-Only roles."400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error